<mat-grid-list cols="3" rowHeight="2:1">
  <mat-grid-tile colspan="2">
    <div style="display: flex; align-items: center; width: 100%;">
      <mat-form-field appearance="fill" style="width: 40%;">
        <mat-label>{{ label }}</mat-label>
        <mat-select
          [(ngModel)]="selectionTemplate"
          (ngModelChange)="onValueChange($event)"
        >
          <mat-option *ngFor="let entry of entries" [value]="entry">
            {{ entry.viewValue }}
          </mat-option>
        </mat-select>
      </mat-form-field>

      <div style="width: 40%;">
        <p *ngIf="selectionTemplate">{{ selectionTemplate.description }}</p>
      </div>
    </div>
  </mat-grid-tile>
</mat-grid-list>
